Package org.springframework.core.convert

# Class ConverterNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.core.convert.ConversionException
org.springframework.core.convert.ConverterNotFoundException

All Implemented Interfaces:
  `Serializable`

public class ConverterNotFoundException extends ConversionException
Exception to be thrown when a suitable converter could not be found in a given conversion service.

Since:
  3.0
Author:
  Keith Donald, Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConverterNotFoundException(TypeDescriptor sourceType, TypeDescriptor targetType)`
Create a new conversion executor not found exception.

## Method Summary

Modifier and Type
Method
Description
`TypeDescriptor`
`getSourceType()`
Return the source type that was requested to convert from.
`TypeDescriptor`
`getTargetType()`
Return the target type that was requested to convert to.

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConverterNotFoundException

public ConverterNotFoundException(@Nullable TypeDescriptor sourceType, TypeDescriptor targetType)
Create a new conversion executor not found exception.

Parameters:
  `sourceType` - the source type requested to convert from
  `targetType` - the target type requested to convert to

## Method Details

### getSourceType

@Nullable public TypeDescriptor getSourceType()
Return the source type that was requested to convert from.

### getTargetType

public TypeDescriptor getTargetType()
Return the target type that was requested to convert to.